imagegd2
imagegif
GD Functions
PHP Manual

# imagegd

(PHP 4 >= 4.0.7, PHP 5)

imagegd — Output GD image to browser or file

### Description

bool imagegd ( resource `$image` [, string `$filename` ] )

Outputs a GD image to the given `filename` .

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to save the file to. If not set or `NULL`, the raw image stream will be outputted directly.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: The GD format is commonly used to allow fast loading of parts of images. Note that the GD format is only usable in GD-compatible applications.

### See Also

- imagegd2()

imagegd2
imagegif
GD Functions
PHP Manual